### A free/open-source library for quantitative finance

Public Member Functions
KernelFunction Class Reference

`#include <ql/math/kernelfunctions.hpp>`

Inheritance diagram for KernelFunction:
[legend]

List of all members.

## Public Member Functions

virtual Real | operator() (Real x) const =0

## Detailed Description

Kernel function in the statistical sense, e.g. a nonnegative, real-valued function which integrates to one and is symmetric.

Derived classes will serve as functors.